> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reverse Penny Drop Request Details

> Use this API to get the details of the created reverse penny drop request. You need to enter either the reference ID or verification ID.



## OpenAPI

````yaml get /remitter/status
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Liveliness
    description: Operation related to Liveliness.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: BharatOCR
    description: Operations related to BharatOCR.
paths:
  /remitter/status:
    get:
      tags:
        - Reverse Penny Drop
      summary: Get Reverse Penny Drop Request Details
      description: >-
        Use this API to get the details of the created reverse penny drop
        request. You need to enter either the reference ID or verification ID.
      operationId: VrsReversePennyDropFetchStatus
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
        - name: ref_id
          in: query
          description: >-
            It is the unique ID created by Cashfree Payments that you receive in
            the response of Create Reverse Penny Drop Request API.
          example: '10'
          schema:
            type: string
        - name: verification_id
          in: query
          description: >-
            It is the unique ID created by you to identify the reverse penny
            drop verification request.
          example: '1234'
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/GetStatusRpdResponse'
        '400':
          $ref: '#/components/responses/Response400GetStatusRpd'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: Send the signature if IP is not whitelisted.
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  responses:
    GetStatusRpdResponse:
      description: Success response for retreiving the status of RPD request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetStatusRpdResponseSchema'
          examples:
            SUCCESS:
              value:
                bank_account: '026291800001191'
                ifsc: YESB0000262
                upi: success@upi
                name_at_bank: BHARATHTEST GKUMARUT
                verification_id: 3890AAB000
                ref_id: '123'
                utr: '33'
                status: SUCCESS
                name_match_score: '10'
                name_match_result: POOR_PARTIAL_MATCH
                added_on: '2023-06-27T12:34:47+05:30'
                processed_on: '2023-06-27T18:15:02+05:30'
                penny_collected_on: '2022-10-27T12:40:10+05:30'
                reversal_status: PENDING
                account_type: SAVINGS
            CREATED:
              value:
                verification_id: 3890AAB000
                ref_id: '213265'
                status: CREATED
                added_on: '2024-06-19T10:56:38+05:30'
                processed_on: '2024-06-19T10:56:38+05:30'
                account_type: ''
            EXPIRED:
              value:
                verification_id: 3890AAB000
                ref_id: '100'
                status: EXPIRED
                name_match_score: '0'
                added_on: '2023-11-09T08:21:06+05:30'
                processed_on: 2023-11-09T14:01:06+05:3
            FAILURE:
              value:
                verification_id: 3890AAB000
                ref_id: '100'
                status: FAILURE
                name_match_score: '0'
                added_on: '2023-11-09T08:21:06+05:30'
                processed_on: '2023-11-09T14:01:06+05:30'
    Response400GetStatusRpd:
      description: Validation errors for Get Details API
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification and Reference ID Missing:
              $ref: '#/components/examples/VerificationAndReferenceIDMissingRpd'
            Invalid Verification ID:
              $ref: '#/components/examples/InvalidVerificationIDRpd'
            Invalid Reference ID:
              $ref: '#/components/examples/InvalidReferenceIDRpd'
            Header Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: request_failed
                message: Unable to process your request. Try again after some time
  schemas:
    GetStatusRpdResponseSchema:
      type: object
      properties:
        bank_account:
          type: string
          description: It displays the bank account number of the individual.
          example: '26291800001191'
        ifsc:
          type: string
          description: It displays the IFSC information of the individual's bank account.
          example: YESB0000262
        upi:
          type: string
          description: It displays the UPI VPA information of the individual.
          example: success@upi
        name_at_bank:
          type: string
          description: >-
            It displays the name of the individual registered in the bank
            records.
          example: JOHN DOE
        verification_id:
          type: string
          description: >-
            It displays the unique ID created by you to identify the verifiation
            request.
          example: '32'
        ref_id:
          type: string
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.
          example: '33'
        utr:
          type: string
          description: >-
            It displays the unique transaction reference (UTR) number created by
            the bank to identify the transaction.
          example: '33'
        status:
          type: string
          description: >-
            It displays the status of the API request.

            Possible values are 

            - `CREATED`: The request is created, but no payment has been made
            yet.

            - `SUCCESS`: A successful transaction returns all fields in the
            response.

            - `FAILURE`: The payment attempt failed for an unspecified reason.

            - `EXPIRED`: The link in the create request call expires after 10
            minutes if no payment is made.
          example: SUCCESS
        name_match_score:
          type: string
          description: It displays the score of the name match verification.
          example: '10'
        name_match_result:
          type: string
          description: It displays the result of the name match verification.
          example: POOR_PARTIAL_MATCH
        added_on:
          type: string
          description: It displays the date and time of when the request was added.
          example: '2023-06-27T12:34:47+05:30'
        processed_on:
          type: string
          description: It displays the date and time of when the request was processed.
          example: '2023-06-27T18:15:02+05:30'
        penny_collected_on:
          type: string
          description: It displays the date and time of when the 1 rupee was collected.
          example: '2022-10-27T12:40:10+05:30'
        reversal_status:
          type: string
          description: |-
            It displays the status of the rupee reversal.
            Possible values are:
            - `TRANSFER_INITIATED`: Reversal is initiated.
            - `TRANSFER_SUCCESS`: The reversal process is successful.
            - `PENDING`: The reversal is pending and not initiated yet.
            - `FAILED`: The reversal is failed.
          example: PENDING
        account_type:
          type: string
          description: It displays the type of account.
          example: SAVINGS
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
  examples:
    VerificationAndReferenceIDMissingRpd:
      value:
        type: validation_error
        code: invalid_request
        message: Please provide verification_id or ref_id
    InvalidVerificationIDRpd:
      value:
        type: validation_error
        code: invalid_request
        message: Please enter a valid verification_id
    InvalidReferenceIDRpd:
      value:
        type: validation_error
        code: invalid_request
        message: Please enter a valid ref_id
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client ID. You can find your ID in the [Merchant
        Dashboard](https://telr.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://telr.cashfree.com/verificationsuite/developers/api-keys).

````